---
# Abc music application deployment


- name: create abcmusic resources
  kubernetes.core.k8s:
    kubeconfig: "/etc/rancher/k3s/k3s.yaml"
    state: "{{apps.abcmusic.state}}"
    definition: "{{ lookup('template', item) | from_yaml }}"
  loop:
    #    - dkregistry/configmap.yaml
#    - dkregistry/ingress.yaml
#    - dkregistry/service.yaml
    - abcmusic/deployment.yaml
  become: true
